using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace EveSkillNotify
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string [] args)
        {
            bool showMainWindow = true;
            string dir = "";
            foreach (string arg in args)
            {
                if (arg == "/quiet")
                    showMainWindow = false;
                else if (arg.StartsWith("/dir:"))
                    if (System.IO.Directory.Exists(arg.Substring(5)))
                        dir = arg.Substring(5);
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Form main = new Main(showMainWindow,dir);
            Application.Run();
        }
    }
}